'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _tslib = require('../../_virtual/_tslib.cjs');
var jsxRuntime = require('react/jsx-runtime');
var React = require('react');
var utils = require('@dynamic-labs/utils');
require('../index.cjs');
require('./components/Accordion/components/AccordionItem/AccordionItem.cjs');
require('react-i18next');
require('@dynamic-labs/iconic');
var ViewContext = require('./context/ViewContext/ViewContext.cjs');
require('@dynamic-labs/sdk-api-core');
require('./shared/logger.cjs');
require('@dynamic-labs/wallet-connector-core');
require('@dynamic-labs/wallet-book');
var localStorage = require('./utils/constants/localStorage.cjs');
require('./utils/constants/colors.cjs');
require('./utils/constants/values.cjs');
var usePreventPageScroll = require('./shared/utils/hooks/usePreventPageScroll/usePreventPageScroll.cjs');
var index$1 = require('./shared/consts/index.cjs');
require('./components/Alert/Alert.cjs');
var dynamicEvents = require('./events/dynamicEvents.cjs');
require('./context/DynamicContext/DynamicContext.cjs');
require('./store/state/loadingAndLifecycle/loadingAndLifecycle.cjs');
require('./store/state/authMode/authMode.cjs');
var useInternalDynamicContext = require('./context/DynamicContext/useDynamicContext/useInternalDynamicContext/useInternalDynamicContext.cjs');
require('./context/CaptchaContext/CaptchaContext.cjs');
require('./context/ErrorContext/ErrorContext.cjs');
require('@dynamic-labs/multi-wallet');
require('react-international-phone');
require('./store/state/nonce/nonce.cjs');
var isSupportedNetwork = require('./utils/functions/isSupportedNetwork/isSupportedNetwork.cjs');
require('./store/state/projectSettings/projectSettings.cjs');
require('./config/ApiEndpoint.cjs');
require('./store/state/user/user.cjs');
require('./locale/locale.cjs');
require('./store/state/dynamicContextProps/dynamicContextProps.cjs');
require('./store/state/primaryWalletId/primaryWalletId.cjs');
require('./store/state/connectedWalletsInfo/connectedWalletsInfo.cjs');
var AccessDeniedContext = require('./context/AccessDeniedContext/AccessDeniedContext.cjs');
var AccountExistsContext = require('./context/AccountExistsContext/AccountExistsContext.cjs');
var UserWalletsContext = require('./context/UserWalletsContext/UserWalletsContext.cjs');
var isConnectOnly = require('./utils/hooks/authenticationHooks/helpers/isConnectOnly.cjs');
require('./context/VerificationContext/VerificationContext.cjs');
require('react-dom');
require('./utils/functions/compareChains/compareChains.cjs');
require('./views/Passkey/utils/findPrimaryEmbeddedChain/findPrimaryEmbeddedChain.cjs');
require('./context/ThemeContext/ThemeContext.cjs');
require('./utils/hooks/useUserUpdateRequest/useUpdateUser/userFieldsSchema.cjs');
require('bs58');
require('@dynamic-labs/types');
var SocialRedirectContext = require('./context/SocialRedirectContext/SocialRedirectContext.cjs');
require('./context/LoadingContext/LoadingContext.cjs');
require('./context/WalletContext/WalletContext.cjs');
require('./utils/hooks/useEmbeddedWallet/useSecureEnclaveEmbeddedWallet/constants.cjs');
require('yup');
require('./context/MockContext/MockContext.cjs');
require('./views/CollectUserDataView/useFields.cjs');
require('./context/FieldsStateContext/FieldsStateContext.cjs');
require('./context/UserFieldEditorContext/UserFieldEditorContext.cjs');
require('@dynamic-labs/rpc-providers');
require('./store/state/walletOptions/walletOptions.cjs');
var useWalletItemActions = require('./utils/hooks/useWalletItemActions/useWalletItemActions.cjs');
var DynamicAuthModal = require('./modals/DynamicAuthModal/DynamicAuthModal.cjs');
require('./components/IconButton/IconButton.cjs');
require('formik');
require('./store/state/sendBalances.cjs');
require('./components/Input/Input.cjs');
require('./components/OverlayCard/OverlayCard.cjs');
require('./components/MenuList/Dropdown/Dropdown.cjs');
require('./components/Transition/ZoomTransition/ZoomTransition.cjs');
require('./components/Transition/SlideInUpTransition/SlideInUpTransition.cjs');
require('./components/Transition/OpacityTransition/OpacityTransition.cjs');
require('./views/TransactionConfirmationView/TransactionConfirmationView.cjs');
require('./context/PasskeyContext/PasskeyContext.cjs');
require('./components/ShadowDOM/ShadowDOM.cjs');
require('./utils/hooks/useSubdomainCheck/useSubdomainCheck.cjs');
require('./context/WalletGroupContext/WalletGroupContext.cjs');
require('./context/IpConfigurationContext/IpConfigurationContext.cjs');
require('./context/ConnectWithOtpContext/ConnectWithOtpContext.cjs');
require('./widgets/DynamicBridgeWidget/views/WalletsView/components/SecondaryWallets/SecondaryWallets.cjs');
require('@hcaptcha/react-hcaptcha');
require('./widgets/DynamicWidget/context/DynamicWidgetContext.cjs');
var index = require('./context/FooterAnimationContext/index.cjs');
require('./context/ErrorContext/hooks/useErrorText/useErrorText.cjs');
require('./components/PasskeyCreatedSuccessBanner/PasskeyCreatedSuccessBanner.cjs');
require('./store/state/connectorsInitializing/connectorsInitializing.cjs');
require('./store/state/tokenBalances.cjs');
require('./shared/utils/functions/getInitialUrl/getInitialUrl.cjs');
require('./components/InlineWidget/InlineWidget.cjs');
require('./components/IsBrowser/IsBrowser.cjs');
require('./components/Popper/Popper/Popper.cjs');
var PopperContext = require('./components/Popper/PopperContext/PopperContext.cjs');
var Portal = require('./components/Portal/Portal.cjs');
require('qrcode');
var RenderView = require('./components/RenderView/RenderView.cjs');
require('./main.global.cjs');
var isSelectedWalletAlreadyConnected = require('./utils/functions/isSelectedWalletAlreadyConnected/isSelectedWalletAlreadyConnected.cjs');
var useVerifyOnAwaitingSignature = require('./utils/hooks/multiWallet/useVerifyOnAwaitingSignature/useVerifyOnAwaitingSignature.cjs');

const viewsToDisableCloseOnOverlayClick = [
    'email-wallet-otp-verification-view',
    'social-redirect-view',
    'passkey-intro',
];
const Main = () => {
    const { selectedWalletConnector, linkedWallets, projectSettings, setShowAuthFlow, showAuthFlow, walletConnectorOptions, clearStatesOnBackClick, user, disconnectWallet, connectedWallets, handleLogOut, } = useInternalDynamicContext.useInternalDynamicContext();
    const { view, clearStackAndPushInitialView } = ViewContext.useViewContext();
    const { setDeniedAddress, setDeniedOauthProvider } = AccessDeniedContext.useAccessDeniedContext();
    const { setExistentAccountData } = AccountExistsContext.useAccountExistsContext();
    const { setSocialProvider } = SocialRedirectContext.useSocialRedirectContext();
    usePreventPageScroll.usePreventPageScroll(showAuthFlow);
    const userWallets = UserWalletsContext.useUserWallets();
    const handleClose = () => _tslib.__awaiter(void 0, void 0, void 0, function* () {
        var _a;
        if (viewsToDisableCloseOnOverlayClick.includes(view.type))
            return;
        if ((_a = view.events) === null || _a === void 0 ? void 0 : _a.onClose) {
            view.events.onClose();
            return;
        }
        if ((view.type === 'network-not-supported' ||
            view.type === 'network-not-supported-manual') &&
            userWallets.length === 1) {
            yield handleLogOut();
        }
        if (view.type === 'farcaster-connect-view') {
            setSocialProvider(undefined);
            dynamicEvents.dynamicEvents.emit('farcasterConnectCancelled');
        }
        setShowAuthFlow(false, { emitCancelAuth: true });
        setDeniedAddress('');
        setDeniedOauthProvider(undefined);
        setExistentAccountData(undefined);
        clearStatesOnBackClick();
    });
    const handleOnPortalExiting = React.useCallback(() => _tslib.__awaiter(void 0, void 0, void 0, function* () {
        // In the connect only mode (default and bridge)
        // We want to disconnect wallet when users closes `network not supported` view
        // without updating network in wallet
        // We use onExiting instead onUnmount to avoid jump effect in inline widget
        const viewsToDisconnectWalletOnClose = [
            'network-not-supported',
            'network-not-supported-manual',
        ];
        if (!isConnectOnly.isConnectOnly() ||
            !viewsToDisconnectWalletOnClose.includes(view.type) ||
            !selectedWalletConnector)
            return;
        const walletByConnectorKey = connectedWallets.find((connectedWallet) => connectedWallet.connector.key === selectedWalletConnector.key);
        if (!walletByConnectorKey) {
            return;
        }
        // Validate the network
        if (!isSupportedNetwork.isSupportedNetwork({
            network: yield walletByConnectorKey.connector.getNetwork(true),
            walletConnector: walletByConnectorKey.connector,
        })) {
            disconnectWallet(walletByConnectorKey.id);
        }
    }), [selectedWalletConnector, connectedWallets, disconnectWallet, view]);
    const handleOnPortalUnmount = React.useCallback(() => {
        // IMPORTANT: we need to reset the view because we reset state that the view depends on
        // so if the previous view renders when the user reopens the widget, it will crash
        clearStackAndPushInitialView();
    }, [clearStackAndPushInitialView]);
    useVerifyOnAwaitingSignature.useVerifyOnAwaitingSignature();
    const { handleAlreadyConnectedWallet, handleCustodialWalletClick, handleInstalledExtensionClick, handleMobileWalletClick, handleUninstalledClick, } = useWalletItemActions.useWalletItemActions();
    /* istanbul ignore next */
    const handleNewToWeb3WalletIntent = (walletConnector) => _tslib.__awaiter(void 0, void 0, void 0, function* () {
        setShowAuthFlow(true);
        if (isSelectedWalletAlreadyConnected.isSelectedWalletAlreadyConnected(linkedWallets, walletConnector, user)) {
            // wallet is already connected
            handleAlreadyConnectedWallet(walletConnector);
        }
        else if (walletConnector.canConnectViaCustodialService) {
            // providers like blocto and dapper
            handleCustodialWalletClick(walletConnector);
        }
        else if (utils.isMobile()) {
            // mobile wallets
            handleMobileWalletClick(walletConnector);
        }
        else if (walletConnector.isInstalledOnBrowser()) {
            // browser extensions or injected wallets
            handleInstalledExtensionClick(walletConnector);
        }
        else {
            // wallet requiring a qr code (wallet connect/coinbase wallet)
            handleUninstalledClick(walletConnector);
        }
    });
    React.useEffect(() => {
        const newToWeb3WalletKey = utils.StorageService.getItem(localStorage.NEWTOWEB3_WALLET_EXTENSION_FLAG_KEY);
        if ((walletConnectorOptions === null || walletConnectorOptions === void 0 ? void 0 : walletConnectorOptions.length) && newToWeb3WalletKey) {
            const wallet = walletConnectorOptions.find((wallet) => wallet.key === newToWeb3WalletKey);
            if (wallet === null || wallet === void 0 ? void 0 : wallet.walletConnector) {
                handleNewToWeb3WalletIntent(wallet.walletConnector);
            }
            utils.StorageService.removeItem(localStorage.NEWTOWEB3_WALLET_EXTENSION_FLAG_KEY);
        }
    }, [walletConnectorOptions]);
    const showDynamicAuth = showAuthFlow && Boolean(projectSettings);
    return (jsxRuntime.jsx(index.FooterAnimationContextProvider, { children: jsxRuntime.jsx(Portal.Portal, { zIndex: index$1.authModalZIndex, isShown: showDynamicAuth, handleClose: handleClose, withBackdrop: true, transitionEvents: {
                onExiting: handleOnPortalExiting,
                onUnmount: handleOnPortalUnmount,
            }, children: jsxRuntime.jsx(PopperContext.PopperProvider, { children: jsxRuntime.jsx(DynamicAuthModal.DynamicAuthModal, { transitionProps: {
                        isShown: showDynamicAuth,
                    }, onClose: handleClose, projectSettings: projectSettings, children: jsxRuntime.jsx(RenderView.RenderView, {}) }) }) }) }));
};

exports.Main = Main;
exports["default"] = Main;
