'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var client = require('@dynamic-labs-sdk/client');
var core = require('@dynamic-labs-sdk/client/core');
var client$1 = require('../../client.cjs');
var constants = require('../constants.cjs');
var fetchOverride = require('./fetchOverride/fetchOverride.cjs');

const useInitializeSdkClient = ({ settings }) => {
    const lastClientDependencyKey = React.useRef(null);
    const clientDependencyKey = [
        settings.apiBaseUrl,
        settings.environmentId,
    ].join('-');
    if (lastClientDependencyKey.current === clientDependencyKey)
        return;
    lastClientDependencyKey.current = clientDependencyKey;
    const newClient = client.createDynamicClient({
        coreConfig: { apiBaseUrl: settings.apiBaseUrl, fetch: fetchOverride.fetchOverride },
        environmentId: settings.environmentId,
    });
    client$1.setClient(newClient);
    core.registerExtension(newClient, constants.CLIENT_EXTENSION_NAME);
};

exports.useInitializeSdkClient = useInitializeSdkClient;
