'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var React = require('react');
require('@dynamic-labs/sdk-api-core');
require('../../shared/logger.cjs');
require('@dynamic-labs/iconic');
require('@dynamic-labs/wallet-connector-core');
var check = require('../../shared/assets/check.cjs');
require('../../context/ViewContext/ViewContext.cjs');
require('@dynamic-labs/wallet-book');
require('@dynamic-labs/utils');
require('../../utils/constants/colors.cjs');
require('../../utils/constants/values.cjs');
require('../../shared/consts/index.cjs');
var Icon = require('../Icon/Icon.cjs');
var ListTile = require('../ListTile/ListTile.cjs');
var Toggle = require('../Toggle/Toggle.cjs');

const HardwareWalletToggle = ({ connectors, label, copykey, }) => {
    const [isEnabled, _setEnabled] = React.useState(connectors.some((connector) => connector.isHardwareWalletEnabled));
    const setEnabled = React.useCallback((enabled) => {
        _setEnabled(enabled);
        connectors.forEach((connector) => {
            connector.isHardwareWalletEnabled = enabled;
        });
    }, [connectors]);
    const toggle = (jsxRuntime.jsx(Toggle.Toggle, { value: isEnabled, dataTestId: 'hardware-wallet-toggle', icon: jsxRuntime.jsx(Icon.Icon, { size: 'small', children: jsxRuntime.jsx(check.ReactComponent, {}) }), className: 'hardware-wallet-toggle__toggle' }));
    return (jsxRuntime.jsx(ListTile.ListTile, { onClick: () => setEnabled(!isEnabled), trailing: toggle, children: jsxRuntime.jsx("span", { copykey, children: label }) }));
};

exports.HardwareWalletToggle = HardwareWalletToggle;
