import { Dispatch, FC, SetStateAction } from 'react';
import { TokenBalance } from '@dynamic-labs/sdk-api-core';
import { IUITransaction } from '@dynamic-labs/types';
export type SendBalanceFormValues = {
    amount: string;
    recipient: string;
};
export type Props = {
    initialValues?: SendBalanceFormValues;
    onSubmit: (formValues: SendBalanceFormValues) => void;
    decimals?: number;
    validateAddress?: (address: string | undefined) => boolean;
    validateAmount?: (amount: string | undefined) => boolean;
    currentToken: TokenBalance | undefined;
    tokenBalances: TokenBalance[] | undefined;
    setCurrentToken: Dispatch<SetStateAction<TokenBalance | undefined>>;
    isLoading?: boolean;
    transaction: IUITransaction;
};
export declare const SendBalanceForm: FC<Props>;
