'use client'
import '@dynamic-labs/sdk-api-core';
import '../../shared/logger.js';
import '@dynamic-labs/iconic';
import '@dynamic-labs/wallet-connector-core';
import 'react';
import 'react/jsx-runtime';
import '../../context/ViewContext/ViewContext.js';
import '@dynamic-labs/wallet-book';
import { isSSR } from '../../shared/utils/functions/isSSR/isSSR.js';
import '@dynamic-labs/utils';
import '../../utils/constants/colors.js';
import '../../utils/constants/values.js';
import '../../shared/consts/index.js';

const isShadowDOMFlagEnabled = () => {
    if (isSSR())
        return false;
    const flag = 'shadowDOM.enabled';
    // TODO: use PlatformService
    const searchParams = new URLSearchParams(window.location.search);
    // by default, enable the widget
    if (!searchParams.has(flag)) {
        return true;
    }
    return searchParams.get(flag) === 'true';
};

export { isShadowDOMFlagEnabled };
