import { FC, MouseEventHandler, PropsWithChildren, ReactNode } from 'react';
import { TokenBalance, SimulateTransactionResponse as SimulationResult } from '@dynamic-labs/sdk-api-core';
import { IUITransaction } from '@dynamic-labs/types';
import { WalletConnector } from '@dynamic-labs/wallet-connector-core';
import { CopyKey } from '../../shared';
type TransactionConfirmationPageLayoutProps = {
    disableSendButton?: boolean;
    displayPoweredByDynamicFooter?: boolean;
    error?: string;
    isLoading: boolean;
    onClickBack?: MouseEventHandler<HTMLButtonElement>;
    onClickClose?: MouseEventHandler<HTMLButtonElement>;
    onClickSend: MouseEventHandler<HTMLButtonElement>;
    onSuccess: ((transactionResponse: string) => void) | undefined;
    title?: ReactNode;
    alert?: ReactNode;
    hideModal?: boolean;
    walletConnector?: WalletConnector;
    transaction: IUITransaction;
    total: bigint | undefined;
    currentToken: TokenBalance | undefined;
    transactionValue?: string;
    isGasSponsored: boolean;
    isGasSponsoredLoading: boolean;
    isNativeToken?: boolean;
    walletKey: string;
    simulationResult: SimulationResult | undefined;
    sendBalanceTransaction?: boolean;
    recipient?: string;
} & CopyKey;
export declare const TransactionConfirmationPageLayout: FC<PropsWithChildren<TransactionConfirmationPageLayoutProps>>;
export {};
