'use client'
import { jsx } from 'react/jsx-runtime';
import { createContext, useContext, useState, useMemo } from 'react';

const AccessDeniedContext = createContext(undefined);
const AccessDeniedContextProvider = ({ children, }) => {
    const [deniedOauthUsername, setDeniedOauthUsername] = useState('');
    const [deniedAddress, setDeniedAddress] = useState('');
    const [deniedOauthProvider, setDeniedOauthProvider] = useState(undefined);
    const value = useMemo(() => ({
        deniedAddress,
        deniedOauthProvider,
        deniedOauthUsername,
        setDeniedAddress,
        setDeniedOauthProvider,
        setDeniedOauthUsername,
    }), [deniedAddress, deniedOauthProvider, deniedOauthUsername]);
    return (jsx(AccessDeniedContext.Provider, { value: value, children: children }));
};
const useAccessDeniedContext = () => {
    const context = useContext(AccessDeniedContext);
    if (context === undefined) {
        throw new Error('usage of useAccessDeniedContext not wrapped in `AccessDeniedContextProvider`.');
    }
    return context;
};

export { AccessDeniedContext, AccessDeniedContextProvider, useAccessDeniedContext };
