'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
require('@dynamic-labs/sdk-api-core');
require('../../../../shared/logger.cjs');
require('@dynamic-labs/iconic');
require('@dynamic-labs/wallet-connector-core');
require('react/jsx-runtime');
require('../../../ViewContext/ViewContext.cjs');
require('@dynamic-labs/wallet-book');
var isDisplayOrderPriorityForWeb3 = require('../../../../shared/utils/functions/isDisplayOrderPriorityForWeb3/isDisplayOrderPriorityForWeb3.cjs');
require('@dynamic-labs/utils');
require('../../../../utils/constants/colors.cjs');
require('../../../../utils/constants/values.cjs');
require('../../../../shared/consts/index.cjs');

const useDisplayOrderState = (projectSettings) => {
    const [selectedDisplayOrder, setSelectedDisplayOrder] = React.useState(null);
    const defaultDisplayOrder = React.useMemo(() => {
        var _a;
        const displayOrderFromApi = (_a = projectSettings === null || projectSettings === void 0 ? void 0 : projectSettings.design.modal) === null || _a === void 0 ? void 0 : _a.displayOrder;
        if (!displayOrderFromApi)
            return 'web3';
        return isDisplayOrderPriorityForWeb3.isDisplayOrderPriorityForWeb3(displayOrderFromApi) ? 'web3' : 'web2';
    }, [projectSettings]);
    return [selectedDisplayOrder || defaultDisplayOrder, setSelectedDisplayOrder];
};

exports.useDisplayOrderState = useDisplayOrderState;
