'use client'
import { useState, useMemo } from 'react';
import '@dynamic-labs/sdk-api-core';
import '../../../../shared/logger.js';
import '@dynamic-labs/iconic';
import '@dynamic-labs/wallet-connector-core';
import 'react/jsx-runtime';
import '../../../ViewContext/ViewContext.js';
import '@dynamic-labs/wallet-book';
import { isDisplayOrderPriorityForWeb3 } from '../../../../shared/utils/functions/isDisplayOrderPriorityForWeb3/isDisplayOrderPriorityForWeb3.js';
import '@dynamic-labs/utils';
import '../../../../utils/constants/colors.js';
import '../../../../utils/constants/values.js';
import '../../../../shared/consts/index.js';

const useDisplayOrderState = (projectSettings) => {
    const [selectedDisplayOrder, setSelectedDisplayOrder] = useState(null);
    const defaultDisplayOrder = useMemo(() => {
        var _a;
        const displayOrderFromApi = (_a = projectSettings === null || projectSettings === void 0 ? void 0 : projectSettings.design.modal) === null || _a === void 0 ? void 0 : _a.displayOrder;
        if (!displayOrderFromApi)
            return 'web3';
        return isDisplayOrderPriorityForWeb3(displayOrderFromApi) ? 'web3' : 'web2';
    }, [projectSettings]);
    return [selectedDisplayOrder || defaultDisplayOrder, setSelectedDisplayOrder];
};

export { useDisplayOrderState };
