'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var React = require('react');
var utils = require('@dynamic-labs/utils');

const FieldsStateContext = React.createContext(undefined);
const FieldsStateProvider = ({ children }) => {
    const selectedPhoneCountry = React.useRef();
    return (jsxRuntime.jsx(FieldsStateContext.Provider, { value: { selectedPhoneCountry }, children: children }));
};
const useFieldsState = () => {
    const context = React.useContext(FieldsStateContext);
    if (!context)
        throw new utils.DynamicError('Can only call useFieldsState inside FieldsStateProvider');
    return context;
};

exports.FieldsStateContext = FieldsStateContext;
exports.FieldsStateProvider = FieldsStateProvider;
exports.useFieldsState = useFieldsState;
