'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _tslib = require('../../../../_virtual/_tslib.cjs');
require('@dynamic-labs/sdk-api-core');
var logger = require('../../shared/logger.cjs');
require('@dynamic-labs/iconic');
require('@dynamic-labs/wallet-connector-core');
require('react');
require('react/jsx-runtime');
require('../../context/ViewContext/ViewContext.cjs');
require('@dynamic-labs/wallet-book');
require('@dynamic-labs/utils');
require('../../utils/constants/colors.cjs');
require('../../utils/constants/values.cjs');
require('../../shared/consts/index.cjs');
var api = require('./api.cjs');

const logResponseError = (e_1, message_1, ...args_1) => _tslib.__awaiter(void 0, [e_1, message_1, ...args_1], void 0, function* (e, message, logLevel = 'error') {
    if (e instanceof Response) {
        const data = yield e.json();
        logger.logger[logLevel](message, { error: data.error, status: e.status });
        return data;
    }
    else if (e instanceof Error) {
        logger.logger[logLevel](message, e);
    }
});
const getNonce = (environmentId) => _tslib.__awaiter(void 0, void 0, void 0, function* () {
    try {
        const res = yield api.sdkApi().getNonce({
            environmentId,
        });
        return res.nonce;
    }
    catch (e) {
        return undefined;
    }
});

exports.getNonce = getNonce;
exports.logResponseError = logResponseError;
