import { WalletListViewTabItem } from '../shared/types/wallets';
export type UIEvents = {
    authFlowOpen: () => void;
    /** Triggered when auth is closed before reaching success (due to user cancel or fail) */
    authFlowClose: () => void;
    /**
     * Triggered alongside authFlowClose when auth is attempted but fails
     * like when user rejects connection or the network call fails
     */
    authFlowCancelled: () => void;
    /**
     * Triggered when Wallet Tabs are enabled and the user selects a tab
     */
    walletTabSelected: (props: {
        index: number;
        tab: WalletListViewTabItem;
    }) => void;
    userProfileOpen: () => void;
    userProfileClose: () => void;
};
