import { UserProfile } from '@dynamic-labs/types';
import { Wallet } from './wallets';
export type HandleConnectedWallet = (wallet: Partial<Wallet>) => Promise<boolean>;
export type UserOnboardingFieldRequest = {
    key: string;
    required: boolean;
    isCustom: boolean;
    label?: string;
};
export type UserOnboardingFieldResponse = {
    key: string;
    value: string;
    isCustom: boolean;
};
/**
 * Handlers supported by dynamic. They always return a promise
 */
export type DynamicHandlers = {
    handleAuthenticatedUser?: (params: {
        user: UserProfile;
    }) => Promise<void>;
    handleConnectedWallet?: HandleConnectedWallet;
};
