'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var sdkApiCore = require('@dynamic-labs/sdk-api-core');
var logger = require('../../../logger.cjs');
var parseToken = require('../parseToken/parseToken.cjs');

const decodeJwt = (token) => {
    try {
        const json = parseToken.parseToken(token);
        if (!json)
            return undefined;
        return sdkApiCore.DynamicJwtFromJSON(json);
    }
    catch (e) {
        logger.logger.error(e);
        return undefined;
    }
};

exports.decodeJwt = decodeJwt;
