'use client'
import { DynamicJwtFromJSON } from '@dynamic-labs/sdk-api-core';
import { logger } from '../../../logger.js';
import { parseToken } from '../parseToken/parseToken.js';

const decodeJwt = (token) => {
    try {
        const json = parseToken(token);
        if (!json)
            return undefined;
        return DynamicJwtFromJSON(json);
    }
    catch (e) {
        logger.error(e);
        return undefined;
    }
};

export { decodeJwt };
