'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createUserProfile = require('../../../../utils/functions/createUserProfile/createUserProfile.cjs');
var user = require('../user.cjs');
var storeAuthToken = require('../../../../utils/functions/storeAuthToken/storeAuthToken.cjs');
var projectSettings = require('../../projectSettings/projectSettings.cjs');

const storeAuthTokenAndUser = (params) => {
    storeAuthToken.storeAuthToken(params);
    const userProfile = createUserProfile.createUserProfileFromSdkUser(params.user);
    if (params.preserveFieldsWithVerification) {
        const oldUser = user.getUser();
        const settings = projectSettings.getProjectSettings();
        if (settings === null || settings === void 0 ? void 0 : settings.kyc) {
            for (const field of settings.kyc) {
                if (!field.verify)
                    continue;
                const property = field.name;
                // @ts-expect-error TS doesn't know that the property exists
                userProfile[property] = oldUser === null || oldUser === void 0 ? void 0 : oldUser[property];
            }
        }
    }
    user.setUser(userProfile);
    return userProfile;
};

exports.storeAuthTokenAndUser = storeAuthTokenAndUser;
