'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var sdkApiCore = require('@dynamic-labs/sdk-api-core');

const DEFAULT_NUMBER_OF_WALLETS_TO_SHOW = 10;
// references:
// https://www.iana.org/assignments/jwt/jwt.xhtml#claims
// https://github.com/jaredhanson/id-blockchain-claims-in-jwt/blob/main/draft.md
const ChainEnumToVerifiedCredentialName = {
    ALGO: 'algorand',
    BTC: 'bip122', // see: https://namespaces.chainagnostic.org/bip122/caip2
    COSMOS: 'cosmos',
    ETH: 'eip155',
    EVM: 'eip155',
    FLOW: 'flow',
    SOL: 'solana',
    STARK: 'starknet',
};
const VerifiedCredentialNameToChainEnum = {
    algorand: sdkApiCore.ChainEnum.Algo,
    bip122: sdkApiCore.ChainEnum.Btc,
    cosmos: sdkApiCore.ChainEnum.Cosmos,
    eip155: sdkApiCore.ChainEnum.Evm,
    flow: sdkApiCore.ChainEnum.Flow,
    solana: sdkApiCore.ChainEnum.Sol,
    starknet: sdkApiCore.ChainEnum.Stark,
    sui: sdkApiCore.ChainEnum.Sui,
};
const DYNAMIC_AUTH_COOKIE_NAME = 'DYNAMIC_JWT_TOKEN';

exports.ChainEnumToVerifiedCredentialName = ChainEnumToVerifiedCredentialName;
exports.DEFAULT_NUMBER_OF_WALLETS_TO_SHOW = DEFAULT_NUMBER_OF_WALLETS_TO_SHOW;
exports.DYNAMIC_AUTH_COOKIE_NAME = DYNAMIC_AUTH_COOKIE_NAME;
exports.VerifiedCredentialNameToChainEnum = VerifiedCredentialNameToChainEnum;
