import { UserProfile } from '../../../..';
/**
 * Finds the first embedded wallet from the verified credentials for the given chains.
 * If the user doesn't have embedded wallet for the chain, it will return the first embedded wallet for other chains.
 * @param user - The user profile.
 * @param chains - The chains to check for embedded wallets.
 * @returns The first embedded wallet from the verified credentials for the given chains.
 */
export declare const findEmbeddedWalletFromVerifiedCredentials: (user: UserProfile, chains?: string[]) => import("@dynamic-labs/sdk-api-core").JwtVerifiedCredential | undefined;
