'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utils = require('@dynamic-labs/utils');
var helpers = require('../../../context/DynamicContext/helpers/helpers.cjs');
var localStorage = require('../../constants/localStorage.cjs');
require('../../constants/colors.cjs');
require('../../constants/values.cjs');

const getAuthToken = () => {
    if (typeof window === 'undefined') {
        return undefined;
    }
    const token = utils.StorageService.getItem(localStorage.AUTH_TOKEN, {
        priority: ['secureStorage', 'localStorage'],
    });
    if (!token) {
        return undefined;
    }
    if (helpers.isAuthTokenExpired(token)) {
        return undefined;
    }
    return token;
};

exports.getAuthToken = getAuthToken;
