'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var reactInternationalPhone = require('react-international-phone');

// To see which iso2 maps to which country, see
// https://github.com/goveo/react-international-phone/blob/master/src/data/countryData.ts
const getCustomCountries = (supportedCountriesForVerification) => {
    const customCountries = reactInternationalPhone.defaultCountries.map(reactInternationalPhone.parseCountry).map((country) => {
        if (country.iso2 === 'br')
            country.format = '(..) .....-....';
        if (country.iso2 === 'fr')
            country.format = '(.) .. .. .. ..';
        return reactInternationalPhone.buildCountryData(country);
    });
    if (supportedCountriesForVerification) {
        return customCountries.filter(([, iso2]) => supportedCountriesForVerification.includes(iso2));
    }
    return customCountries;
};

exports.getCustomCountries = getCustomCountries;
