'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var sdkApiCore = require('@dynamic-labs/sdk-api-core');
require('../../constants/values.cjs');
require('@dynamic-labs/utils');
require('../../../../../_virtual/_tslib.cjs');
require('@dynamic-labs/multi-wallet');
require('../../../shared/logger.cjs');
require('../../constants/colors.cjs');
require('react-international-phone');
require('@dynamic-labs/iconic');
require('@dynamic-labs/wallet-connector-core');
require('react');
require('react/jsx-runtime');
require('../../../context/ViewContext/ViewContext.cjs');
require('@dynamic-labs/wallet-book');
require('../../../shared/consts/index.cjs');
require('../../../store/state/nonce/nonce.cjs');
var isProviderEnabled = require('../isProviderEnabled/isProviderEnabled.cjs');
require('../../../store/state/projectSettings/projectSettings.cjs');
require('../../../config/ApiEndpoint.cjs');
require('../../../store/state/user/user.cjs');
require('../../../locale/locale.cjs');
require('../../../store/state/dynamicContextProps/dynamicContextProps.cjs');
require('../../../store/state/primaryWalletId/primaryWalletId.cjs');
require('../../../store/state/connectedWalletsInfo/connectedWalletsInfo.cjs');

const getEnabledEmbeddedWalletProviders = (projectSettings) => {
    var _a;
    const providers = (_a = projectSettings === null || projectSettings === void 0 ? void 0 : projectSettings.providers) !== null && _a !== void 0 ? _a : [];
    const embeddedWalletProviders = [
        sdkApiCore.ProviderEnum.Turnkey,
        sdkApiCore.ProviderEnum.CoinbaseWaas,
        sdkApiCore.ProviderEnum.MagicLink,
        sdkApiCore.ProviderEnum.Blocto,
    ];
    return embeddedWalletProviders.filter((provider) => isProviderEnabled.isProviderEnabled(providers, provider));
};

exports.getEnabledEmbeddedWalletProviders = getEnabledEmbeddedWalletProviders;
