'use client'
import { StorageService } from '@dynamic-labs/utils';
import { isMinAuthTokenExpired } from '../../../context/DynamicContext/helpers/helpers.js';
import { AUTH_MIN_TOKEN } from '../../constants/localStorage.js';
import '../../constants/colors.js';
import '../../constants/values.js';

const getMinAuthToken = () => {
    if (typeof window === 'undefined')
        return undefined;
    const token = StorageService.getItem(AUTH_MIN_TOKEN, {
        priority: ['secureStorage', 'localStorage'],
    });
    if (!token || isMinAuthTokenExpired(token))
        return undefined;
    return token;
};

export { getMinAuthToken };
