import { SessionInformation } from '../../types/SessionInformation';
/** Returns the name of the session or the shortened wallet address if no name is available */
export declare const getSessionInformationName: (session: SessionInformation) => string;
/** Returns the time since the session was created in a human readable format */
export declare const getSessionInformationTimeSinceCreation: (session: SessionInformation) => string;
/** Returns the expiration of the session in a human readable format */
export declare const getSessionInformationExpiration: (session: SessionInformation) => string;
/** Returns the spending limit of the session in ETH */
export declare const getSessionInformationSpendingLimit: (session: SessionInformation) => string;
/** Returns the fee limit of the session in ETH */
export declare const getSessionInformationFeeLimit: (session: SessionInformation) => string;
/** Exports the session information as a JSON string with a helper to process bigints */
export declare const getSessionInformationJson: (session: SessionInformation) => string;
