'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var walletConnectorCore = require('@dynamic-labs/wallet-connector-core');
require('@dynamic-labs/sdk-api-core');
var logger = require('../../../shared/logger.cjs');
require('@dynamic-labs/iconic');
require('react');
require('react/jsx-runtime');
require('../../../context/ViewContext/ViewContext.cjs');
require('@dynamic-labs/wallet-book');
require('@dynamic-labs/utils');
require('../../constants/colors.cjs');
require('../../constants/values.cjs');
require('../../../shared/consts/index.cjs');

const getNetworkInfoEntry = ({ chain, networkId, networkInfo, }) => {
    var _a, _b;
    logger.logger.logVerboseTroubleshootingMessage('[getNetworkInfoEntry]', {
        chain,
        networkId,
        networkInfo,
    });
    if (!chain || !networkId) {
        return;
    }
    const normalizedChain = (_a = walletConnectorCore.getChainInfo(chain)) === null || _a === void 0 ? void 0 : _a.name;
    if (!normalizedChain)
        return;
    const networkData = networkInfo[normalizedChain];
    if (!networkData)
        return;
    logger.logger.logVerboseTroubleshootingMessage('[getNetworkInfoEntry]', {
        networkData,
        normalizedChain,
    });
    // Not all networks have a valid chainId, so default to the first network if the chainId is not found
    return ((_b = networkData.find((e) => e.chainId.toString() === networkId.toString())) !== null && _b !== void 0 ? _b : networkData[0]);
};
const getEvmChainName = (chainId) => {
    const map = {
        1: 'Ethereum',
        10: 'OP Mainnet',
        11155111: 'Sepolia',
        137: 'Polygon',
        42161: 'Arbitrum One',
        43114: 'Avalanche',
        8453: 'Base',
    };
    return map[chainId] || 'Unknown';
};

exports.getEvmChainName = getEvmChainName;
exports.getNetworkInfoEntry = getNetworkInfoEntry;
