'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var sdkApiCore = require('@dynamic-labs/sdk-api-core');

/**
 * Registry of provider display modes (iframe or popup)
 *
 * This mapping controls how each onramp provider is displayed in the UI.
 * - 'popup': Opens in a new browser window/tab
 * - 'iframe': Embedded directly in the current page
 */
const providerDisplayModes = {
    [sdkApiCore.ProviderEnum.CoinbaseOnramp]: 'popup',
    // Default for other providers is iframe
};

exports.providerDisplayModes = providerDisplayModes;
