'use client'
import { filterConnectedWallets } from '../filterConnectedWallets/filterConnectedWallets.js';
import { staticWalletFilter } from '../staticLinkedWalletFilter/staticLinkedWalletFilter.js';
import { createWalletConnectWalletsFilter } from '../createWalletConnectWalletsFilter/createWalletConnectWalletsFilter.js';
import { createMetaMaskMobileFilter } from '../createMetaMaskMobileFilter/createMetaMaskMobileFilter.js';
import { getAuthMode } from '../../../../../store/state/authMode/authMode.js';

const applyMultiWalletFilters = ({ userWallets, walletOptions, }) => {
    const walletList = walletOptions
        .filter(createWalletConnectWalletsFilter(userWallets))
        .filter(createMetaMaskMobileFilter(userWallets));
    const authMode = getAuthMode();
    if (authMode === 'connect-only') {
        return filterConnectedWallets({
            userWallets,
            walletOptions: walletList,
        });
    }
    return staticWalletFilter(userWallets, walletList);
};

export { applyMultiWalletFilters };
