import { ProjectSettings } from '@dynamic-labs/sdk-api-core';
type SessionKey = {
    publicKey: string;
    privateKey: string;
    privateKeyJwk: JsonWebKey;
    registered: boolean;
    expirationDate?: Date;
};
export declare const useEmbeddedWalletSessionKeys: ({ environmentId, projectSettings, }: {
    environmentId: string;
    projectSettings?: ProjectSettings;
}) => {
    generateSessionKey: () => Promise<{
        privateKey: string;
        privateKeyJwk: JsonWebKey;
        publicKey: string;
    }>;
    getSessionPublicKey: () => string;
    registerEmbeddedWalletSessionKey: ({ ignoreRestore, }?: {
        ignoreRestore?: boolean;
    }) => Promise<SessionKey | {
        expirationDate: Date;
        privateKey: string;
        publicKey: string;
    }>;
    removeSessionKey: () => void;
    shouldRegisterSessionKeysOnSignin: () => boolean;
};
export {};
