'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var OnrampContext = require('../../../context/OnrampContext/OnrampContext.cjs');

const useOnramp = () => {
    const { onrampEnabled, openOnramp } = OnrampContext.useOnrampContext();
    return React.useMemo(() => ({
        /**
         * Whether onramp is enabled.
         */
        enabled: onrampEnabled,
        /**
         * Opens the onramp modal.
         */
        open: openOnramp,
    }), [onrampEnabled, openOnramp]);
};

exports.useOnramp = useOnramp;
