'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _tslib = require('../../../../../_virtual/_tslib.cjs');
var React = require('react');
var useDynamicContext = require('../../../context/DynamicContext/useDynamicContext/useDynamicContext.cjs');
require('../../../context/DynamicContext/DynamicContext.cjs');
var ViewContext = require('../../../context/ViewContext/ViewContext.cjs');

const useSwitchNetwork = () => {
    const { setShowAuthFlow } = useDynamicContext.useDynamicContext();
    const { pushView } = ViewContext.useViewContext();
    const switchNetwork = React.useCallback((_a) => _tslib.__awaiter(void 0, [_a], void 0, function* ({ wallet, network, }) {
        if (wallet.connector.switchNetworkOnlyFromWallet) {
            setShowAuthFlow(true);
            pushView('network-not-supported-manual');
            return;
        }
        yield wallet.connector.switchNetwork({ networkChainId: network });
    }), [setShowAuthFlow, pushView]);
    return switchNetwork;
};

exports.useSwitchNetwork = useSwitchNetwork;
