'use client'
import { __awaiter } from '../../../../../_virtual/_tslib.js';
import { useCallback } from 'react';
import { useDynamicContext } from '../../../context/DynamicContext/useDynamicContext/useDynamicContext.js';
import '../../../context/DynamicContext/DynamicContext.js';
import { useViewContext } from '../../../context/ViewContext/ViewContext.js';

const useSwitchNetwork = () => {
    const { setShowAuthFlow } = useDynamicContext();
    const { pushView } = useViewContext();
    const switchNetwork = useCallback((_a) => __awaiter(void 0, [_a], void 0, function* ({ wallet, network, }) {
        if (wallet.connector.switchNetworkOnlyFromWallet) {
            setShowAuthFlow(true);
            pushView('network-not-supported-manual');
            return;
        }
        yield wallet.connector.switchNetwork({ networkChainId: network });
    }), [setShowAuthFlow, pushView]);
    return switchNetwork;
};

export { useSwitchNetwork };
