import { IEVMTransaction } from '@dynamic-labs/types';
import { type TransactionType, type FeeData, type SimulationState } from './useBaseTransactionSimulation';
export type { TransactionType, SimulationState, FeeData };
export type EVMTransactionParams = {
    transaction: IEVMTransaction;
    type: Omit<TransactionType, 'SignAllTransactions' | 'SignTransaction'>;
};
export type EVMTransactionSimulationHook = {
    simulateEVMTransaction: (params: EVMTransactionParams) => Promise<void>;
    simulateEVMTransactionAA: (params: EVMTransactionParams) => Promise<void>;
} & SimulationState;
export declare const useEVMTransactionSimulation: () => EVMTransactionSimulationHook;
