'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _tslib = require('../../../../../../_virtual/_tslib.cjs');
var dynamicContextProps = require('../../../../store/state/dynamicContextProps/dynamicContextProps.cjs');

/**
 * Detects envId mismtach with store.
 */
const handleStoreAndEnvironmentMismatch = (_a) => _tslib.__awaiter(void 0, [_a], void 0, function* ({ environmentId, logout, }) {
    const storeEnvId = dynamicContextProps.getEnvironmentId();
    if (!storeEnvId || environmentId === storeEnvId) {
        return;
    }
    yield logout('store and environment are out of sync', {
        currentEnvId: environmentId,
        storedEnvId: storeEnvId,
    });
    dynamicContextProps.setEnvironmentId(environmentId);
});

exports.handleStoreAndEnvironmentMismatch = handleStoreAndEnvironmentMismatch;
