import { UserProfile } from '@dynamic-labs/types';
import type { WalletConnector } from '@dynamic-labs/wallet-connector-core';
import { IDynamicContext } from '../../../context/DynamicContext/types';
import { MultiWalletWidgetState, Wallet, WalletWithAction } from '../../../shared';
import { MultiWalletWidgetStateSetter } from '../multiWallet';
export type UseWalletEventListenersArgs = {
    disconnectWallet: (walletId: string) => Promise<void>;
    handleLogOut(): Promise<void>;
    multiWallet: boolean;
    multiWalletWidgetState: MultiWalletWidgetState;
    primaryWallet: Wallet | null;
    secondaryWallets: Wallet[];
    selectedWalletConnector: WalletConnector | null;
    selectedWalletWithAction: WalletWithAction | null;
    setMultiWalletWidgetState: MultiWalletWidgetStateSetter;
    setSelectedWalletConnectorKey: IDynamicContext['setSelectedWalletConnectorKey'];
    setSelectedWalletWithAction(walletWithAction: WalletWithAction | null): void;
    user: UserProfile | undefined;
    refreshConnectedWallet: (walletId: string, walletConnector: WalletConnector, shouldCallCallback?: boolean) => Promise<void>;
    detectNewWalletsForLinking: boolean;
};
export declare const useWalletEventListeners: ({ disconnectWallet, handleLogOut, multiWallet, multiWalletWidgetState, primaryWallet, secondaryWallets, selectedWalletConnector, selectedWalletWithAction, setSelectedWalletConnectorKey, setSelectedWalletWithAction, setMultiWalletWidgetState, user, refreshConnectedWallet, detectNewWalletsForLinking, }: UseWalletEventListenersArgs) => void;
