import { SdkViewSection, SocialSignInProviderEnum } from '@dynamic-labs/sdk-api-core';
/** Allows us to define the specific order we want to show our login sections in */
export type SectionRecipe = {
    condition: boolean;
    section: SdkViewSection;
    /** Allows not showing a divisor before or after this section */
    hideSeparator?: 'above' | 'below';
};
export type LoginViewStructureParams = {
    showWallets: boolean;
    showSocial: boolean;
    showEmail: boolean;
    showPhone: boolean;
    /** Whether social appears right above or right below the email/phone section */
    socialAboveEmail: boolean;
    /** In web2, wallets come last, in web3, they come first */
    web3Layout: boolean;
    /** Whether to not display a divisor between email/phone and socials */
    splitEmailAndSocial: boolean;
    /** How many wallets to display in the wallet section. 0 still shows the section */
    numOfWalletsToDisplay: number;
    /** The default item to sue for social */
    defaultSocialItem: SocialSignInProviderEnum;
};
/**
 * Defines in which order each section shows, and under which conditions
 */
export declare const getLoginViewStructure: ({ socialAboveEmail, showWallets, web3Layout, numOfWalletsToDisplay, showEmail, showPhone, showSocial, splitEmailAndSocial, defaultSocialItem, }: LoginViewStructureParams) => SectionRecipe[];
