'use client'
import { jsx, jsxs } from 'react/jsx-runtime';
import { useTranslation } from 'react-i18next';
import '@dynamic-labs/sdk-api-core';
import '../../shared/logger.js';
import '@dynamic-labs/iconic';
import '@dynamic-labs/wallet-connector-core';
import 'react';
import { ReactComponent as SvgCopy } from '../../shared/assets/copy.js';
import '../../context/ViewContext/ViewContext.js';
import '@dynamic-labs/wallet-book';
import '@dynamic-labs/utils';
import '../../utils/constants/colors.js';
import '../../utils/constants/values.js';
import '../../shared/consts/index.js';
import '../../components/Accordion/components/AccordionItem/AccordionItem.js';
import '../../../../_virtual/_tslib.js';
import '../../components/Alert/Alert.js';
import '../../events/dynamicEvents.js';
import '../../context/DynamicContext/DynamicContext.js';
import '../../store/state/loadingAndLifecycle/loadingAndLifecycle.js';
import '../../store/state/authMode/authMode.js';
import '../../context/CaptchaContext/CaptchaContext.js';
import '../../context/ErrorContext/ErrorContext.js';
import '@dynamic-labs/multi-wallet';
import 'react-international-phone';
import '../../store/state/nonce/nonce.js';
import '../../store/state/projectSettings/projectSettings.js';
import '../../config/ApiEndpoint.js';
import '../../store/state/user/user.js';
import '../../locale/locale.js';
import '../../store/state/dynamicContextProps/dynamicContextProps.js';
import '../../store/state/primaryWalletId/primaryWalletId.js';
import '../../store/state/connectedWalletsInfo/connectedWalletsInfo.js';
import '../../context/AccessDeniedContext/AccessDeniedContext.js';
import '../../context/AccountExistsContext/AccountExistsContext.js';
import '../../context/UserWalletsContext/UserWalletsContext.js';
import '../../context/VerificationContext/VerificationContext.js';
import 'react-dom';
import '../../utils/functions/compareChains/compareChains.js';
import '../Passkey/utils/findPrimaryEmbeddedChain/findPrimaryEmbeddedChain.js';
import '../../context/ThemeContext/ThemeContext.js';
import '../../utils/hooks/useUserUpdateRequest/useUpdateUser/userFieldsSchema.js';
import 'bs58';
import '@dynamic-labs/types';
import '../../context/SocialRedirectContext/SocialRedirectContext.js';
import '../../context/LoadingContext/LoadingContext.js';
import '../../context/WalletContext/WalletContext.js';
import '../../utils/hooks/useEmbeddedWallet/useSecureEnclaveEmbeddedWallet/constants.js';
import 'yup';
import '../../context/MockContext/MockContext.js';
import '../CollectUserDataView/useFields.js';
import '../../context/FieldsStateContext/FieldsStateContext.js';
import '../../context/UserFieldEditorContext/UserFieldEditorContext.js';
import '@dynamic-labs/rpc-providers';
import '../../store/state/walletOptions/walletOptions.js';
import { Typography } from '../../components/Typography/Typography.js';
import '../../context/FooterAnimationContext/index.js';
import '../../components/ShadowDOM/ShadowDOM.js';
import '../../components/Transition/ZoomTransition/ZoomTransition.js';
import '../../components/Transition/SlideInUpTransition/SlideInUpTransition.js';
import '../../components/Transition/OpacityTransition/OpacityTransition.js';
import '../../components/OverlayCardBase/OverlayCardTarget/OverlayCardTarget.js';
import '../../context/WalletGroupContext/WalletGroupContext.js';
import '../../widgets/DynamicWidget/components/DynamicWidgetHeader/DynamicWidgetHeader.js';
import 'react-focus-lock';
import { Divider } from '../../components/Divider/Divider.js';
import '../../widgets/DynamicWidget/context/DynamicWidgetContext.js';
import '../../components/IconButton/IconButton.js';
import '../../components/MenuList/Dropdown/Dropdown.js';
import 'formik';
import '../../utils/hooks/useSubdomainCheck/useSubdomainCheck.js';
import '../../store/state/sendBalances.js';
import '../../components/Input/Input.js';
import '../../components/OverlayCard/OverlayCard.js';
import '../TransactionConfirmationView/TransactionConfirmationView.js';
import '../../context/PasskeyContext/PasskeyContext.js';
import '../../widgets/DynamicWidget/views/ManagePasskeysWidgetView/PasskeyCard/PasskeyCard.js';
import '../../context/OnrampContext/OnrampContext.js';
import { CopyButton } from '../../components/CopyButton/CopyButton.js';
import 'qrcode';
import '../../widgets/DynamicWidget/views/ReceiveWalletFunds/ReceiveWalletFunds.js';
import '../../../index.js';
import '../../context/IpConfigurationContext/IpConfigurationContext.js';
import '../../context/ConnectWithOtpContext/ConnectWithOtpContext.js';
import '../../widgets/DynamicBridgeWidget/views/WalletsView/components/SecondaryWallets/SecondaryWallets.js';
import '@hcaptcha/react-hcaptcha';
import '../../context/ErrorContext/hooks/useErrorText/useErrorText.js';
import '../../components/PasskeyCreatedSuccessBanner/PasskeyCreatedSuccessBanner.js';
import '../../store/state/connectorsInitializing/connectorsInitializing.js';
import '../../store/state/tokenBalances.js';
import '../../shared/utils/functions/getInitialUrl/getInitialUrl.js';
import { EnterTileAnimation } from '../../components/EnterTileAnimation/EnterTileAnimation.js';
import '../../components/InlineWidget/InlineWidget.js';
import '../../components/IsBrowser/IsBrowser.js';
import '../../components/Popper/Popper/Popper.js';
import '../../components/Popper/PopperContext/PopperContext.js';

const MfaSecureDeviceHelper = ({ uri, secret, }) => {
    const { t } = useTranslation();
    return (jsx("div", { className: 'mfa-qrcode-help-content__container', children: jsx(EnterTileAnimation, { delay: '300ms', children: jsxs("div", { className: 'mfa-qrcode-help-content__setup-container', children: [jsxs("div", { className: 'mfa-qrcode-help-content__step', children: [jsx("div", { className: 'mfa-qrcode-help-content__step__number', children: "1" }), jsxs("div", { className: 'mfa-qrcode-help-content__step__instructions', children: [jsx(Typography, { variant: 'body_normal', color: 'primary', className: 'mfa-qrcode-help-content__step__title', children: t('dyn_mfa.secure_device_view.helper.step1.title') }), jsx(Typography, { variant: 'body_small', className: 'mfa-qrcode-help-content__step__subtext', children: t('dyn_mfa.secure_device_view.helper.step1.description') })] })] }), jsxs("div", { className: 'mfa-qrcode-help-content__vertical-container', children: [jsxs("div", { className: 'mfa-qrcode-help-content__step', children: [jsx("div", { className: 'mfa-qrcode-help-content__step__number', children: "2" }), jsxs("div", { className: 'mfa-qrcode-help-content__step__instructions', children: [jsx(Typography, { variant: 'body_normal', color: 'primary', className: 'mfa-qrcode-help-content__step__title', children: t('dyn_mfa.secure_device_view.helper.step2.title') }), jsx(Typography, { variant: 'body_small', className: 'mfa-qrcode-help-content__step__subtext', children: t('dyn_mfa.secure_device_view.helper.step2.description') })] })] }), jsxs("div", { className: 'mfa-qrcode-help-content__step__nocopy-box', children: [jsx(Typography, { className: 'mfa-qrcode-help-content__step__nocopy-text', variant: 'body_small', children: secret }), jsx(CopyButton, { textToCopy: secret, children: jsx(SvgCopy, { "data-testid": 'copy-secret', onClick: (e) => {
                                                e.preventDefault();
                                            } }) })] })] }), jsx(Divider, { text: 'OR' }), jsxs("div", { className: 'mfa-qrcode-help-content__vertical-container', children: [jsx("div", { className: 'mfa-qrcode-help-content__step', children: jsxs("div", { className: 'uri-section', children: [jsx(Typography, { variant: 'body_normal', color: 'primary', className: 'mfa-qrcode-help-content__step__title', children: t('dyn_mfa.secure_device_view.helper.uri.title') }), jsx(Typography, { className: 'uri-subtext', variant: 'body_small', children: t('dyn_mfa.secure_device_view.helper.uri.description') })] }) }), jsxs("div", { className: 'mfa-qrcode-help-content__step__nocopy-box', children: [jsx(Typography, { className: 'mfa-qrcode-help-content__step__nocopy-text', variant: 'body_small', children: uri }), jsx(CopyButton, { textToCopy: uri, children: jsx(SvgCopy, { "data-testid": 'copy-uri', onClick: (e) => {
                                                e.preventDefault();
                                            } }) })] })] })] }) }) }));
};

export { MfaSecureDeviceHelper };
