'use client'
import { jsxs, jsx } from 'react/jsx-runtime';
import { WalletIcon } from '@dynamic-labs/wallet-book';
import '@dynamic-labs/sdk-api-core';
import '../../../../utils/constants/values.js';
import '@dynamic-labs/utils';
import '../../../../../../_virtual/_tslib.js';
import '@dynamic-labs/multi-wallet';
import '../../../../shared/logger.js';
import '../../../../utils/constants/colors.js';
import 'react-international-phone';
import { getChainIcon } from '../../../../shared/utils/functions/chain/getChainIcon.js';
import '@dynamic-labs/wallet-connector-core';
import 'react';
import '@dynamic-labs/iconic';
import '../../../../context/ViewContext/ViewContext.js';
import '../../../../shared/consts/index.js';
import '../../../../store/state/nonce/nonce.js';
import { pixelToRem } from '../../../../utils/functions/pixelToRem/pixelToRem.js';
import '../../../../store/state/projectSettings/projectSettings.js';
import '../../../../config/ApiEndpoint.js';
import '../../../../store/state/user/user.js';
import '../../../../locale/locale.js';
import '../../../../store/state/dynamicContextProps/dynamicContextProps.js';
import '../../../../store/state/primaryWalletId/primaryWalletId.js';
import '../../../../store/state/connectedWalletsInfo/connectedWalletsInfo.js';
import { classNames } from '../../../../utils/functions/classNames/classNames.js';

const WalletIconWithNetwork = ({ iconSize = 24, chainName, Icon, showNetwork = true, walletKey, iconUrl, }) => {
    const ChainIcon = chainName ? getChainIcon(chainName) : undefined;
    return (jsxs("div", { className: 'wallet-icon-with-network__container', children: [Icon ? (jsx(Icon, { style: {
                    height: pixelToRem(iconSize),
                    width: pixelToRem(iconSize),
                } })) : (jsx(WalletIcon, { icon: iconUrl, walletKey: walletKey, style: {
                    height: pixelToRem(iconSize),
                    width: pixelToRem(iconSize),
                } })), ChainIcon && showNetwork && (jsx("div", { "data-testid": 'network-container', className: classNames('wallet-icon-with-network__network-container'), children: jsx(ChainIcon, {}) }))] }));
};

export { WalletIconWithNetwork };
