'use client'
import { jsxs, jsx } from 'react/jsx-runtime';
import { classNames } from '../../../../../../utils/functions/classNames/classNames.js';
import '../../../../../../components/Accordion/components/AccordionItem/AccordionItem.js';
import 'react-i18next';
import 'react';
import '@dynamic-labs/iconic';
import '../../../../../../context/ViewContext/ViewContext.js';
import '../../../../../../../../_virtual/_tslib.js';
import '@dynamic-labs/sdk-api-core';
import '../../../../../../shared/logger.js';
import '@dynamic-labs/wallet-connector-core';
import '@dynamic-labs/wallet-book';
import '@dynamic-labs/utils';
import '../../../../../../utils/constants/colors.js';
import '../../../../../../utils/constants/values.js';
import '../../../../../../shared/consts/index.js';
import '../../../../../../components/Alert/Alert.js';
import '../../../../../../events/dynamicEvents.js';
import '../../../../../../context/DynamicContext/DynamicContext.js';
import '../../../../../../store/state/loadingAndLifecycle/loadingAndLifecycle.js';
import '../../../../../../store/state/authMode/authMode.js';
import '../../../../../../context/CaptchaContext/CaptchaContext.js';
import '../../../../../../context/ErrorContext/ErrorContext.js';
import '@dynamic-labs/multi-wallet';
import 'react-international-phone';
import '../../../../../../store/state/nonce/nonce.js';
import '../../../../../../store/state/projectSettings/projectSettings.js';
import '../../../../../../config/ApiEndpoint.js';
import '../../../../../../store/state/user/user.js';
import '../../../../../../locale/locale.js';
import '../../../../../../store/state/dynamicContextProps/dynamicContextProps.js';
import '../../../../../../store/state/primaryWalletId/primaryWalletId.js';
import '../../../../../../store/state/connectedWalletsInfo/connectedWalletsInfo.js';
import '../../../../../../context/AccessDeniedContext/AccessDeniedContext.js';
import '../../../../../../context/AccountExistsContext/AccountExistsContext.js';
import '../../../../../../context/UserWalletsContext/UserWalletsContext.js';
import '../../../../../../context/VerificationContext/VerificationContext.js';
import 'react-dom';
import '../../../../../../utils/functions/compareChains/compareChains.js';
import '../../../../../../views/Passkey/utils/findPrimaryEmbeddedChain/findPrimaryEmbeddedChain.js';
import '../../../../../../context/ThemeContext/ThemeContext.js';
import '../../../../../../utils/hooks/useUserUpdateRequest/useUpdateUser/userFieldsSchema.js';
import 'bs58';
import '@dynamic-labs/types';
import '../../../../../../context/SocialRedirectContext/SocialRedirectContext.js';
import '../../../../../../context/LoadingContext/LoadingContext.js';
import '../../../../../../context/WalletContext/WalletContext.js';
import '../../../../../../utils/hooks/useEmbeddedWallet/useSecureEnclaveEmbeddedWallet/constants.js';
import 'yup';
import '../../../../../../context/MockContext/MockContext.js';
import '../../../../../../views/CollectUserDataView/useFields.js';
import '../../../../../../context/FieldsStateContext/FieldsStateContext.js';
import '../../../../../../context/UserFieldEditorContext/UserFieldEditorContext.js';
import '@dynamic-labs/rpc-providers';
import '../../../../../../store/state/walletOptions/walletOptions.js';
import { Typography } from '../../../../../../components/Typography/Typography.js';
import '../../../../../../context/FooterAnimationContext/index.js';
import '../../../../../../components/ShadowDOM/ShadowDOM.js';
import '../../../../../../components/Transition/ZoomTransition/ZoomTransition.js';
import '../../../../../../components/Transition/SlideInUpTransition/SlideInUpTransition.js';
import '../../../../../../components/Transition/OpacityTransition/OpacityTransition.js';
import '../../../../../../components/OverlayCardBase/OverlayCardTarget/OverlayCardTarget.js';
import '../../../../../../context/WalletGroupContext/WalletGroupContext.js';
import '../../../../components/DynamicWidgetHeader/DynamicWidgetHeader.js';
import 'react-focus-lock';
import '../../../../context/DynamicWidgetContext.js';
import '../../../../../../components/IconButton/IconButton.js';
import '../../../../../../components/MenuList/Dropdown/Dropdown.js';
import { Image } from '../../../../../../components/Image/Image.js';
import 'formik';
import '../../../../../../utils/hooks/useSubdomainCheck/useSubdomainCheck.js';
import '../../../../../../store/state/sendBalances.js';
import '../../../../../../components/Input/Input.js';
import '../../../../../../components/OverlayCard/OverlayCard.js';
import '../../../../../../views/TransactionConfirmationView/TransactionConfirmationView.js';
import '../../../../../../context/PasskeyContext/PasskeyContext.js';
import '../../../ManagePasskeysWidgetView/PasskeyCard/PasskeyCard.js';
import '../../../../../../context/OnrampContext/OnrampContext.js';
import 'qrcode';
import '../../ReceiveWalletFunds.js';
import '../../../../../../../index.js';
import '../../../../../../context/IpConfigurationContext/IpConfigurationContext.js';
import '../../../../../../context/ConnectWithOtpContext/ConnectWithOtpContext.js';
import '../../../../../DynamicBridgeWidget/views/WalletsView/components/SecondaryWallets/SecondaryWallets.js';
import '@hcaptcha/react-hcaptcha';
import '../../../../../../context/ErrorContext/hooks/useErrorText/useErrorText.js';
import '../../../../../../components/PasskeyCreatedSuccessBanner/PasskeyCreatedSuccessBanner.js';
import '../../../../../../store/state/connectorsInitializing/connectorsInitializing.js';
import '../../../../../../store/state/tokenBalances.js';
import '../../../../../../shared/utils/functions/getInitialUrl/getInitialUrl.js';
import '../../../../../../components/InlineWidget/InlineWidget.js';
import '../../../../../../components/IsBrowser/IsBrowser.js';
import '../../../../../../components/Popper/Popper/Popper.js';
import '../../../../../../components/Popper/PopperContext/PopperContext.js';
import { calculateFiatBalance } from '../../utils/calculateFiatBalance/calculateFiatBalance.js';
import { formatValue } from '../../utils/formatValue/formatValue.js';
import { isFiatOrStablecoin } from '../../utils/isFiatToken/isFiatToken.js';

const TokenOption = ({ token, isSelected, onSelect, showTokenAsPrimary, exchangeRates, }) => {
    const fiatBalance = formatValue({
        maxDecimals: 2,
        symbol: 'USD',
        value: calculateFiatBalance(token, exchangeRates),
        withFixedZeros: true,
    });
    const tokenBalance = formatValue({
        maxDecimals: isFiatOrStablecoin(token.symbol) ? 2 : 6,
        symbol: token.symbol,
        value: token.balance,
        withFixedZeros: isFiatOrStablecoin(token.symbol),
    });
    const [primaryBalance, secondaryBalance] = showTokenAsPrimary
        ? [tokenBalance, fiatBalance]
        : [fiatBalance, tokenBalance];
    return (jsxs("div", { className: classNames('token-option', {
            'token-option--selected': isSelected,
        }), onClick: onSelect, "data-testid": `token-option-${token.symbol}`, children: [token.logoURI ? (jsx(Image, { src: token.logoURI, alt: token.symbol, className: 'token-option__icon', dataTestId: 'token-option-icon' })) : (jsx("div", { className: 'token-option__icon--skeleton', "data-testid": 'token-option__icon--skeleton' })), jsx(Typography, { variant: 'body_normal', className: 'token-option__name', children: token.name }), jsxs("div", { className: 'token-option__balance-container', children: [jsx(Typography, { variant: 'body_small', weight: 'medium', "data-testid": 'token-option__primary-balance', children: primaryBalance }), jsx(Typography, { weight: 'medium', variant: 'body_small', color: 'secondary', "data-testid": 'token-option__secondary-balance', children: secondaryBalance })] })] }));
};

export { TokenOption };
