'use client'
import { jsxs, jsx } from 'react/jsx-runtime';
import { useCallback } from 'react';
import { useTranslation } from 'react-i18next';
import { ModalHeader } from '../../../../../components/ModalHeader/ModalHeader.js';
import { Typography } from '../../../../../components/Typography/Typography.js';
import { useWidgetContext } from '../../../context/DynamicWidgetContext.js';
import { ReactComponent as SvgChevronLeft } from '../../../../../shared/assets/chevron-left.js';
import '@dynamic-labs/iconic';
import '../../../../../context/ViewContext/ViewContext.js';
import { IconButton } from '../../../../../components/IconButton/IconButton.js';
import { TypographyButton } from '../../../../../components/TypographyButton/TypographyButton.js';

const SessionManagementInfoView = () => {
    const { t } = useTranslation();
    const { setDynamicWidgetView } = useWidgetContext();
    const handleBack = useCallback(() => {
        setDynamicWidgetView('session-management');
    }, [setDynamicWidgetView]);
    const renderBackButton = () => (jsx(IconButton, { onClick: handleBack, "aria-label": t('dyn_session_management.aria.back_button_label'), children: jsx(SvgChevronLeft, {}) }));
    return (jsxs("div", { className: 'session-management-info-view', children: [jsx(ModalHeader, { leading: renderBackButton(), children: jsx(Typography, { variant: 'title', color: 'primary', children: t('dyn_session_management.info_view.title') }) }), jsxs("div", { className: 'session-management-info-view__body', children: [jsxs(Typography, { variant: 'body_normal', as: 'span', children: [jsx(Typography, { variant: 'body_normal', weight: 'bold', as: 'span', children: t('dyn_session_management.info_view.description_bold') }), t('dyn_session_management.info_view.description_2')] }), jsx(Typography, { variant: 'body_normal', as: 'p', children: t('dyn_session_management.info_view.description_3') })] }), jsx("div", { className: 'session-management-info-view__footer', children: jsx(TypographyButton, { onClick: handleBack, expanded: true, copykey: 'dyn_session_management.info_view.continue_button', children: t('dyn_session_management.info_view.continue_button') }) })] }));
};

export { SessionManagementInfoView };
